/**
 * @file
 * Behaviors views csv source in the admin screen.
 */

(function (Drupal, once) {

  Drupal.behaviors.viewsCsvSourceViewsAdmin = {
    attach: function (context) {
      once('views-csv-source-column-key-ajaxified', '[data-drupal-selector="edit-options-column-key-button-button"]', context).forEach(
        (button) => {
          const buttonParent = button.closest('.views-csv-source');
          const columnKeySelector = buttonParent.querySelector('[data-views-csv-source-filter-key-selector]');

          // Hiding the button.
          button.style.display = 'none';

          // On change trigger the views ajax to rebuild the form.
          columnKeySelector.addEventListener('change', (e) => {
            button.click();
          });
        }
      );
    }
  };

})(Drupal, once);
